package db

import (
	"context"
	"time"
	"youngee_b_api/model/gorm_model"

	log "github.com/sirupsen/logrus"
)

func AutoUpdateStatus() error {
	db := GetReadDB(context.Background())
	// 查询task表信息
	db = db.Debug().Model(gorm_model.ProjectInfo{}).
		Where("project_status = ? AND recruit_ddl < ?", 4, time.Now())
	err := db.Update("project_status", 6).Error
	if err != nil {
		log.Println("DB AutoUpdateStatus error :", err)
		return err
	}
	return nil
}

func GetLastAutoTaskID() (int, error) {
	db := GetReadDB(context.Background())
	// 查找最后一个
	LastTask := gorm_model.InfoAutoTask{}
	result := db.Last(&LastTask)
	err := result.Error
	if err != nil {
		log.Println("DB GetLastAutoTaskID:", err)
		return 0, err
	}
	//fmt.Printf("auto task %+v %+v", result, LastTask)
	return LastTask.AutoTaskID, nil
}

func AutoUpdateApplyTimes() error {
	db := GetReadDB(context.Background())
	// 查询task表信息
	db = db.Debug().Model(gorm_model.YoungeeTalentInfo{})
	err := db.Update("apply_num", 5).Error
	if err != nil {
		log.Println("DB AutoUpdateStatus error :", err)
		return err
	}
	return nil
}
