package service

import (
	"context"
	"fmt"
	"strings"
	"youngee_b_api/db"
	"youngee_b_api/model/gorm_model"
	"youngee_b_api/model/http_model"

	"github.com/issue9/conv"

	"github.com/sirupsen/logrus"
)

var Script *script

type script struct {
}

// ScriptOpinion 在上传脚本表上提交修改意见
func (*script) ScriptOpinion(ctx context.Context, request http_model.ScriptOpinionRequest) (*http_model.ScriptOpinionData, error) {
	Script := gorm_model.YounggeeScriptInfo{
		TaskID:        conv.MustInt(request.TaskID),
		ReviseOpinion: request.ScriptOpinion,
	}
	err := db.ScriptOpinion(ctx, Script.TaskID, Script.ReviseOpinion)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Script service] call CreateScript error,err:%+v", err)
		return nil, err
	}

	res := &http_model.ScriptOpinionData{
		TaskID: int64(Script.TaskID),
	}
	return res, nil
}

// AcceptScript
func (*script) AcceptScript(ctx context.Context, request http_model.AcceptScriptRequest) (*http_model.AcceptScriptData, error) {
	var TaskIDList []int
	TaskIDs := strings.Split(request.TaskIds, ",")
	for _, taskId := range TaskIDs {
		TaskIDList = append(TaskIDList, conv.MustInt(taskId))
	}
	fmt.Printf("acc request %+v", TaskIDList)
	err := db.AcceptScript(ctx, TaskIDList)
	if err != nil {
		logrus.WithContext(ctx).Errorf("[Script service] call CreateScript error,err:%+v", err)
		return nil, err
	}

	res := &http_model.AcceptScriptData{
		TaskIds: TaskIDList,
	}
	return res, nil
}
